Bug 18326 - rxvt (shift + page (up|down) doesn't work right
rxvt (shift + page (up|down) doesn't work right
Product: Red Hat Linux
Classification: Retired
Component: rxvt (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2000-10-04 09:33 EDT by Pasi Sjoholm
Modified: 2007-04-18 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-23 11:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pasi Sjoholm 2000-10-04 09:33:37 EDT

Just noticed that when I'm in X and using rxvt it hangs if I backscroll
"too much". It is quite random where it hangs but it's rather annoying.
After that I have to press enter once and suddenly (shift + page (up|down))
works again. I'm too lazy to use mouse for backscrolling. ;)

I'm quite sure that the problem is with rxvt because xterm and "normal"
console are working ok.

with best regards, 
Pasi Sjvholm
Comment 1 Pasi Sjoholm 2000-10-05 15:23:43 EDT
today 05 Oct.. I tested the newest rxvt-development version and it didn't have
the same bug.
Comment 2 Michael Schwendt 2000-10-08 00:43:51 EDT
I'd like to confirm this. First I thought that -- in comparison with RH 6.2 --
it would only be the case when I have ``rxvt*scrollTtyOutput: false'' enabled
because disabling that seemed to work for some time. However, I then suddenly
discovered more annoying shift+page up/down lockups. The rxvt shipped with RH
7.0 is bad.
Comment 3 Michael Schwendt 2000-12-23 11:28:31 EST
Well, meanwhile I'm running KDE 2.0.1 from Rawhide (besides the usual rh70
updates), and the problem is gone. :-O
Comment 4 Need Real Name 2001-05-10 23:17:52 EDT
i'm using rxvt-2.7.5-15 on a plain, pure, just installed version of rh7.1.  when
ever you hit shift-key+ to flip fonts, rxvt seg faults.  i think it is because
some of the default fonts are not either installed correct or properly set in
some xdefaults for or something.  my personal .Xdefaults has no Xterm or Rxvt

Here is the trace of the core file if it helps at all (not many valid symbols,

#0  0x40049957 in XFindOnExtensionList () from /usr/X11R6/lib/libX11.so.6
#1  0x40043c6b in _XF86BigfontFreeFontMetrics ()
   from /usr/X11R6/lib/libX11.so.6
#2  0x40042fcb in XFreeFont () from /usr/X11R6/lib/libX11.so.6
#3  0x080514c3 in strcpy () at ../sysdeps/generic/strcpy.c:31
#4  0x0804ba50 in strcpy () at ../sysdeps/generic/strcpy.c:31
#5  0x0804c611 in strcpy () at ../sysdeps/generic/strcpy.c:31
#6  0x0804c303 in strcpy () at ../sysdeps/generic/strcpy.c:31
#7  0x0804effc in strcpy () at ../sysdeps/generic/strcpy.c:31
#8  0x0804b873 in strcpy () at ../sysdeps/generic/strcpy.c:31
#9  0x40132177 in __libc_start_main (main=0x804b840 <strcpy+272>, argc=1, 
    ubp_av=0xbffffbfc, init=0x804a9c8 <_init>, fini=0x806286c <_fini>, 
    rtld_fini=0x4000e184 <_dl_fini>, stack_end=0xbffffbec)
    at ../sysdeps/generic/libc-start.c:129

and the version compile line: Usage v2.7.5 :
Comment 5 Michael Schwendt 2001-05-11 07:16:37 EDT
That would be a completely different bug (which I can't reproduce btw) and a
different release of Red Hat Linux. Hence I suggest you submit a separate bug
report. (What do you mean with "shift-key+"?)

Whoever has opened the original bug report, the problem is not present in Red
Hat Linux 7.1. Else, I stick to my comment from 2000-12-23 11:28:31.

Note You need to log in before you can comment on or make changes to this bug.